#!/bin/bash
# script to run Frevo

# construct the java class path
export CLASSPATH=$(echo "bin:
    Components/Problems/simsoccer:
    Components/Problems/SimpleSoccer:
    Components/Problems/nnracer:
    Components/Problems/cDrones:
    Components/Problems/ttt2:
    Components/Problems/ttt3:
    Components/Problems/CAM:
    Components/Problems/Light:
    Components/Problems/msrds:
    Components/Problems/CIPI:
    Components/Problems/Patterns:
    Components/Methods/nnga:
    Components/Methods/iwo:
    Components/Rankings/AbsoluteRanking:
    Components/Rankings/FullTournament:
    Components/Rankings/MultiSort:
    Components/Rankings/SwissSystem:
    Components/Representations/CompleteNetwork:
    Components/Representations/HebbNet:
    Components/Representations/EcoNet:
    Components/Representations/LayeredNetwork:
    Components/Representations/MemoNet:
    Components/Problems/EmergencyExit:
    Components/Problems/SimplifiedEmergencyExit:
    Components/Representations/FullyMeshedNet:
    Components/Representations/NEAT:
    Components/Methods/gaspecies:
    Libraries/*"  | sed "s/ *//g" | tr -d '\n')

# here we go
echo "Launching Frevo with CLASSPATH=\"${CLASSPATH}\"..."
echo

java main.FrevoMain $*
